Subject: bug#39168: 27.0.50; Error on command line flags with use dump-file flag with other flags

From: Yuan Fu <[email-masked]>
Date: Fri, 24 Apr 2020 13:45:51 -0400

> On Apr 24, 2020, at 12:31 PM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Yuan Fu <[email-masked]>
>> Date: Fri, 24 Apr 2020 11:58:05 -0400
>> Cc: [email-masked]
>> 
>> I’m still seeing this in the latest master build. Could you give me some
>> pointers on how to fix this?
> 
> I thought I did just that in
> 
>  https://nam01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdebbugs.gnu.org%2Fcgi%2Fbugreport.cgi%3Fbug%3D39168%238&amp;data=02%7C01%7Cykf5041%40psu.edu%7C73225549a67c47daa17708d7e86d09d7%7C7cf48d453ddb4389a9c1c115526eb52e%7C0%7C0%7C637233427328246054&amp;sdata=NKZV6igzz0KyKIbM%2Fla8f4DPb7quGe2CdV1aA%2FqSSdA%3D&amp;reserved=0
> 
> Do you have follow-up questions?

Ah, yes. How can I check if Emacs is restored from a portable dump file? I see strcmp (temacs, "pdump”) in main but I don’t think that’s in scope in init_cmdargs. Thanks.

Yuan